<template>
  <div class="user-setting-auction">
    <div class="row">
      <div class="col-xs-4">
        <div class="row">
          <div class="col-xs-12 user-setting-auction__title">
            <b>Приоритетный тип аукциона</b>
          </div>
        </div>
        <div class="row">
          <div class="col-xs-12">
            <p>
              Выбранные здесь настройки будут по умолчанию показываться во всех создаваемых вами аукционных
              заказах.
            </p>
          </div>
        </div>
        <div class="row">
          <div class="col-xs-12 user-setting-auction__radio">
            <ObRadio
                v-model="auction"
                label="Аукцион на понижение"
                value-input="auction_markdown"
            />
            <p>
              Торги идут до завершения аукциона. Победителем является тот, кто предложил наименьшую ставку.
            </p>
          </div>
          <div class="col-xs-12 user-setting-auction__radio">
            <ObRadio
                v-model="auction"
                label="Аукцион первого согласия"
                value-input="first_confirm"
            />
            <p>
              Победителем аукциона является тот, кто первым согласился на предложенные вами условия.
            </p>
          </div>
          <div class="col-xs-12 user-setting-auction__radio">
            <ObRadio
                v-model="auction"
                label="Закрытый аукцион («за сколько ты поедешь?»)"
                value-input="closed_auction"
            />
            <p>
              Аукцион-опрос, в котором участники самостоятельно определяют ставку только один раз. Побеждает минимальная ставка.
            </p>
          </div>

        </div>

        <div class="row">
          <div class="col-xs-12 user-setting-auction__title">
            <b>Шаг понижения аукциона</b>
          </div>
        </div>
        <div class="row">
          <div class="col-xs-12">
            <p>
              Ставки на ваших аукционах на понижение будут кратны введённому шагу. Например, если шаг 1000 ₽, то
              ставки могут быть 1000 ₽, 2000 ₽, и так далее.
            </p>
          </div>
        </div>
        <div class="row">
          <div class="col-xs-7">
            <ObInput
                class="user-setting-auction__input"
                label="Шаг понижения аукциона"
                v-model="step"
                placeholder="Введите значение"
                subTitle="₽"
            />
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
  import ObRadio from 'common-components/src/obComponents/obRadio';
  import ObInput from "common-components/src/obComponents/obInput";

  export default {
    name: "AuctionOrder",
    components: {
      ObRadio,
      ObInput
    },
    data() {
      return {
        auction: null,
        step: 1000
      }
    }
  }
</script>

<style scoped lang="scss">
  .user-setting-auction {
    &__title {
      margin: 22px 0 10px;
    }
    &__radio {
      padding: 5px 0 14px 10px;
      p {
        padding-left: 24px;
        padding-top: 6px;
      }
    }
    &__input {
      margin-top: 20px;
    }
  }
</style>